%global pypi_name mysqlclient
%bcond_with mysqldb

Summary:        MySQL/mariaDB database connector for Python
Name:           python-%{pypi_name}
Version:        2.1.1
Release:        3%{?dist}
License:        GPLv2
URL:            https://github.com/PyMySQL/mysqlclient
Source0:        %{pypi_source}

BuildRequires:  gcc
BuildRequires:  mariadb-connector-c-devel

%description
This package provides the Python database API for the popular MySQL database server.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel python3-setuptools
%if %{with mysqldb}
BuildRequires:  python3-pytest
%endif
Provides: python3-mysql = %{version}-%{release}

%description -n python3-%{pypi_name}
This package provides the Python database API for the popular MySQL database server.

%package -n python-%{pypi_name}-doc
Summary:        Documentation for %{name}

BuildRequires:  python3-sphinx

%description -n python-%{pypi_name}-doc
This package provides the documentation for %{name}.

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build
PYTHONPATH=${PWD} sphinx-build-3 doc html
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%if %{with mysqldb}
%check
%pytest -v tests
%endif

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md HISTORY.rst
%{python3_sitearch}/MySQLdb/
%{python3_sitearch}/%{pypi_name}-%{version}-py*.egg-info/

%files -n python-%{pypi_name}-doc
%license LICENSE
%doc html

%changelog
* Fri Aug 18 2023 Wang Guodong <gordonwwang@tencent.com> - 2.1.1-3
- Rebuilt for mariadb-connector-c 3.3.5

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 20 2023 Wang Guodong <gordonwwang@tencent.com> - 2.1.1-1
- initial build
